Skip to content

Interventions

All operations require authentication.

4 operationsv1/dedicated/server
Agent setup

List past interventionsProduction

GET
/1.0/dedicated/server/{serviceName}/intervention

List past interventions. Returns the IDs of the technical interventions made on the server. Get an intervention to read its start date and type.

Path parameters

serviceName
required
string

The internal name of your dedicated server

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/server/{serviceName}/intervention \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a past interventionProduction

GET
/1.0/dedicated/server/{serviceName}/intervention/{interventionId}

Get a past intervention. Returns the start date and the type of a technical intervention made on the server.

Path parameters

interventionId
required
integer

The intervention id

serviceName
required
string

The internal name of your dedicated server

Response

200Interventionsuccessful operation
date
read-only
stringdate-time

the intervention start date

interventionId
read-only
integer

The intervention id

type
read-only
string

the intervention type

Example uses interventionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/server/{serviceName}/intervention/{interventionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "interventionId": 0, "type": "string"}

List planned interventionsBeta

GET
/1.0/dedicated/server/{serviceName}/plannedIntervention

List planned interventions. Returns the IDs of the interventions planned on the server. Get a planned intervention to read its type, status and dates.

Path parameters

serviceName
required
string

The internal name of your dedicated server

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/server/{serviceName}/plannedIntervention \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a planned interventionBeta

GET
/1.0/dedicated/server/{serviceName}/plannedIntervention/{interventionId}

Get a planned intervention. Returns the type, status, wanted start date and expected end date of an intervention planned on the server. The status is todo, doing or done.

Path parameters

interventionId
required
integer

ID of the intervention

serviceName
required
string

The internal name of your dedicated server

Response

200PlannedInterventionsuccessful operation
expectedEndDate
read-only
stringdate-time

Expected end date for this intervention

id
read-only
integer

ID of the intervention

status
read-only
PlannedInterventionStatusEnum

Status of the intervention

Valuesdoingdonetodo
type
read-only
PlannedInterventionTypeEnum

Operation purpose

ValuesHARDWARE_UPGRADE_ON_ACTIVE_SERVER
wantedStartDate
read-only
stringdate-time

Wanted start date for this intervention

Example uses interventionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/server/{serviceName}/plannedIntervention/{interventionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expectedEndDate": "2024-01-01T12:00:00Z", "id": 0, "status": "doing", "type": "HARDWARE_UPGRADE_ON_ACTIVE_SERVER", "wantedStartDate": "2024-01-01T12:00:00Z"}